Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 567 - glibc doesn't contain /etc/resolv.conf so it gets created with duff permissions
Summary: glibc doesn't contain /etc/resolv.conf so it gets created with duff permissions
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-22 23:52 UTC by Chris Evans
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-30 22:21:51 UTC


Attachments (Terms of Use)

Description Chris Evans 1998-12-22 23:52:43 UTC
Hi.

Freshly installed system.

/etc/resolv.conf isn't owned by any package. Instead it gets
created at some random time. Unfortunately it gets created
with mode -rw------- (only root can read).

This means that once DNS servers to use are defined, only
root can use them still!

One fix is to include a virtually blank /etc/resolv.conf
along with glibc, but making sure it has the correct
permissions (-rw-r--r--)

Comment 1 Jay Turner 1998-12-30 22:21:59 UTC
After doing a fresh install on several test machine, each time the
resolv.conf file is created properly with the right permissions.

-rw-r--r--


Note You need to log in before you can comment on or make changes to this bug.